Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.resolve/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.resolve/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.resolve/{typedId}' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend", "data": { … }, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.unresolve/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.unresolve/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.unresolve/{typedId}' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend", "data": { … }, "status": 0 } }
Request
Edits the comment specified as the path param. Replaces the comment with the text provided in the request body.
With each edit, the version number is incremented by 1. The comment metadata includes timestamps for creation and last update, along with the author of each change. If a reply is added to a resolved thread, the thread automatically changes to an unresolved state.
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.edit/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/commentmanager.edit/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/commentmanager.edit/12.CMNT \
-H 'Content-Type: application/json' \
-d '{
"data": {
"body": "an edited comment"
}
}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-6cbbff95d-th6wz", "data": [ … ], "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code